/*
Copyright 2016 FirstMate LLC

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

This is a sample app that displays a map centered on New Haven, CT.
*/

import React, { Component } from 'react';
import {
    AppRegistry,
    StyleSheet,
    Text,
    View
} from 'react-native';
import MapView from './OSMDroidMapView';

class ReactNativeOSMDroid extends Component {
    constructor(props) {
        super(props);
        this.state = {
            center: {
                lat: 41.308294,
                lon: -72.927931,
            },
        };
    }

    render() {
        return (
            <View style={styles.container}>
                <MapView
                    style={{flex: 1}}
                    onMapChange={{
                        onScroll: event => {
                            console.log('Scroll: ' + JSON.stringify(event));
                            this.setState({
                                center: {
                                    lat: event.lat,
                                    lon: event.lon,
                                }
                            });
                        },
                        onZoom: event => {
                            console.log('Zoom: ' + JSON.stringify(event));
                        },
                    }}
                    center={this.state.center}
                />
            </View>
        );
    }
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'stretch',
        backgroundColor: '#F5FCFF',
        flexDirection: 'column',
    },
});

AppRegistry.registerComponent('ReactNativeOSMDroid', () => ReactNativeOSMDroid);
